### Property

# Ide DeviceManager:device

#### Declaration

    property device: Ide.Device [ read, write ]

#### Description

The “device” property indicates the currently selected device by the user. This is the device we will try to deploy to when running, and execute the application on.

Type: | `IdeDevice`
Available since: | 3.32

Setter method | `ide_device_manager_set_device()`
Getter method | `ide_device_manager_get_device()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no